package com.ruoyi.baseinfo.service;

import java.util.List;
import com.ruoyi.baseinfo.domain.BasePosttypeInfo;

/**
 * 职位类型基础信息Service接口
 * 
 * @author CaesarBao
 * @date 2020-10-20
 */
public interface IBasePosttypeInfoService 
{
    /**
     * 查询职位类型基础信息
     * 
     * @param objid 职位类型基础信息ID
     * @return 职位类型基础信息
     */
    public BasePosttypeInfo selectBasePosttypeInfoById(Long objid);

    /**
     * 查询职位类型基础信息列表
     * 
     * @param basePosttypeInfo 职位类型基础信息
     * @return 职位类型基础信息集合
     */
    public List<BasePosttypeInfo> selectBasePosttypeInfoList(BasePosttypeInfo basePosttypeInfo);

    /**
     * 新增职位类型基础信息
     * 
     * @param basePosttypeInfo 职位类型基础信息
     * @return 结果
     */
    public int insertBasePosttypeInfo(BasePosttypeInfo basePosttypeInfo);

    /**
     * 修改职位类型基础信息
     * 
     * @param basePosttypeInfo 职位类型基础信息
     * @return 结果
     */
    public int updateBasePosttypeInfo(BasePosttypeInfo basePosttypeInfo);

    /**
     * 批量删除职位类型基础信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBasePosttypeInfoByIds(String ids);

    /**
     * 删除职位类型基础信息信息
     * 
     * @param objid 职位类型基础信息ID
     * @return 结果
     */
    public int deleteBasePosttypeInfoById(Long objid);

    /**
     * 查询职位类型基础信息列表
     * 增加下拉框
     * @return 职位类型基础信息集合
     */
    public List<BasePosttypeInfo> selectAddBasePosttypeInfoList();

    /**
     * 查询职位类型基础信息列表
     * 修改下拉框
     * @param postTypeId 职位类型ID
     * @return 职位类型基础信息集合
     */
    public List<BasePosttypeInfo> selectEditBasePosttypeInfoList(String postTypeId);
}
